import React from 'react';

declare const Calculator: () => React.JSX.Element;

type Digits = '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' | '0';
type OperactionKeys = '/' | '*' | '-' | '+' | '=' | 'Enter';
type OperationNames = 'divide' | 'multiply' | 'subtract' | 'add' | 'equals' | 'enter';
type OperationSymbols = '÷' | 'x' | '-' | '+' | '=';
interface CalculatorValues {
    name: OperationNames;
    symbol: OperationSymbols;
    show: boolean;
    func: (prevValue: number, nextValue: number) => number;
}
interface ICalculaterState {
    value: number | null;
    displayValue: string;
    operator: string | number | null;
    waitingForOperand: boolean;
}
type CalculatorOperations = {
    [key in OperactionKeys]: CalculatorValues;
};
declare enum EInputTypes {
    inputDigit = "inputDigit",
    inputDot = "inputDot",
    inputPercent = "inputPercent",
    toggleSign = "toggleSign",
    clearLastChar = "clearLastChar",
    clearDisplay = "clearDisplay",
    performOperation = "performOperation",
    clearAll = "clearAll"
}

export { Calculator, type CalculatorOperations, type CalculatorValues, type Digits, EInputTypes, type ICalculaterState, type OperactionKeys, type OperationNames, type OperationSymbols };
